HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get Profile with {providerProfileId}

Return a single profile using your chosen {providerProfileId} value.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve one usage profile using your providerProfileId.

Use this endpoint when you store profile identifiers in your own system and want to avoid synchronizing Arcadia-generated profileId values. If you use Arcadia's profile identifier, use Get One Profile with profileId instead.

Resource URI

GET /rest/v1/profiles/pid/{providerProfileId}

Path parameters

ParameterTypeDescription
providerProfileIdStringYour unique identifier for the Profile object. Required.

Optional response data

By default, the response returns profile metadata and reading summaries. Use query parameters to include additional data:

ParameterTypeDescription
populateReadingsBooleanWhen true, includes reading data. Defaults to false.
populateIntervalsBooleanWhen true, includes interval values. Use with groupBy. Defaults to false.
populateBaselineBooleanWhen true, includes baseline measures for profiles that include them. Optional.
groupByStringGroups interval data by YEAR, MONTH, DAY, HOUR, or QTRHOUR.
fromDateTimeDateTimeStart date for returned readings or intervals. Optional.
toDateTimeDateTimeEnd date for returned readings or intervals. Optional.
autoBaselineBooleanWhen true, moves usage data to the requested fromDateTime and toDateTime range. Optional.
useIntelligentBaseliningBooleanUsed with autoBaseline to interpolate and extrapolate usage data. Optional.
asTariffTimezoneBooleanWhen true, returns profile readings and intervals in the account tariff's timezone when a tariff is set. Optional.
fieldsStringUse dataStatus to poll profile processing status. Optional.

For the full data model, profile workflow, parameter list, and detailed examples, see Profiles API.

Example

GET /rest/v1/profiles/pid/ELECTRICITY_RESIDENTIAL_CA_2012

A successful response returns a standard response payload with type set to UsageProfile and one profile in the results array.

{
  "status": "success",
  "count": 1,
  "type": "UsageProfile",
  "results": [
    {
      "profileId": "b7559f37-8020-4969-8bd1-48d8c3d58976",
      "providerProfileId": "ELECTRICITY_RESIDENTIAL_CA_2012",
      "profileName": "2012 CA Electricity Residential Profile",
      "serviceTypes": "ELECTRICITY",
      "dataStatus": 2
    }
  ]
}
Path Params
string
required

This is your unique identifier chosen to represent the Profile object.

Query Params
boolean

This field enables intelligent baselining feature, which allow you to move usage data to a different time period. (Optional, Default=false). When you set this field to true, also set the fromDateTime and toDateTime to the range you want to move usage data to.

boolean

This field works in conjunction with autoBaseline (above) and determines how to interpolate and extrapolate usage data when that is set to true. Read intelligent baselining for details.

boolean

When true, the results will contain Reading Data. The default is false. Reading Data Summaries are always returned when getting a Usage Profile independent of the value of this flag. (Optional). NOTE: This used to be called populateReadingData, which has been deprecated but still works (for now).

boolean

When true, the results will contain an array of Baseline Measures. Only applies for profiles that were uploaded with them. See below for when and how to do this.

boolean

When true, the results will contain Interval values. The default is false. NOTE: This must be used in concert with the groupBy parameter.

date

Start date (with or without a time) of the date range to return intervals and/or readings for. (Optional)

date

End date (with or without a time) of the date range to return intervals and/or readings for. (Optional)

string

To just get the dataStatus field, pass in "dataStatus" (good for polling whether the number crunching is complete). Otherwise ignore this field. (Optional)

boolean
Defaults to false

Defaults to false, will default to true after the week of July 15th. When true and account tariff is set will return profile readings and intervals in tariff's timezone. If true and account tariff not set, profile will return in UTC. If false the profile will be returned in an internal DST aware UTC variant timezone (current functionality).

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json